Bug 1278801 - Review Request: golang-github-peterh-liner - Pure Go line editor with history, inspired by linenoise
Review Request: golang-github-peterh-liner - Pure Go line editor with history...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lokesh Mandvekar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1277107
  Show dependency treegraph
 
Reported: 2015-11-06 08:01 EST by Jan Chaloupka
Modified: 2016-01-26 13:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 13:07:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lsm5: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jan Chaloupka 2015-11-06 08:01:13 EST
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-peterh-liner/golang-github-peterh-liner.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-peterh-liner/golang-github-peterh-liner-0-0.1.git941195f.fc20.src.rpm

Description: Pure Go line editor with history, inspired by linenoise

Fedora Account System Username: jchaloup

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=11725775

$ rpmlint golang-github-peterh-liner-0-0.1.git941195f.fc20.src.rpm golang-github-peterh-liner-devel-0-0.1.git941195f.fc20.noarch.rpm golang-github-peterh-liner-unit-test-devel-0-0.1.git941195f.fc20.x86_64.rpm
golang-github-peterh-liner.src: W: spelling-error Summary(en_US) linenoise -> line noise, line-noise, noiseless
golang-github-peterh-liner.src: W: spelling-error %description -l en_US linenoise -> line noise, line-noise, noiseless
golang-github-peterh-liner-devel.noarch: W: spelling-error Summary(en_US) linenoise -> line noise, line-noise, noiseless
golang-github-peterh-liner-devel.noarch: W: spelling-error %description -l en_US linenoise -> line noise, line-noise, noiseless
3 packages and 0 specfiles checked; 0 errors, 4 warnings.
Comment 1 Lokesh Mandvekar 2015-11-06 09:35:54 EST
- package conforms to current golang guidelines
- license correct and valid
- only sources installed

package approved.
Comment 2 Lokesh Mandvekar 2015-11-06 09:45:21 EST
added the wrong flag earlier :| corrected now :)
Comment 3 Gwyn Ciesla 2015-11-06 10:36:54 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/golang-github-peterh-liner
Comment 4 Fedora Update System 2015-11-07 13:40:14 EST
golang-github-peterh-liner-0-0.1.git941195f.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7cb155d9f8
Comment 5 Fedora Update System 2015-11-07 13:40:20 EST
golang-github-peterh-liner-0-0.1.git941195f.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-04e44b3c59
Comment 6 Fedora Update System 2015-11-08 07:26:22 EST
golang-github-peterh-liner-0-0.1.git941195f.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update golang-github-peterh-liner'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-04e44b3c59
Comment 7 Fedora Update System 2015-11-08 08:23:33 EST
golang-github-peterh-liner-0-0.1.git941195f.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update golang-github-peterh-liner'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-045f2d5a16
Comment 8 Fedora Update System 2015-11-08 13:47:51 EST
golang-github-peterh-liner-0-0.1.git941195f.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update golang-github-peterh-liner'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7cb155d9f8

Note You need to log in before you can comment on or make changes to this bug.